%define pkg_name        File-Attributes
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 1.n0i.1

Summary:       Manipulate metadata on files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/modules/by-module/File/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Directory::Scratch) >= 0.05

BuildRequires: perl(Best) >= 0.06
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::Syck)


%description
File::Attributes lets you assign attributes to files (and
read them, and list them, and delete them).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sun Sep 16 2007 Marius Feraru <altblue@n0i.net> - 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.11
- version 0.04
